XStream problem

Answered

 When I try to open or create new project in pycharm-2018.2.1 on Ubuntu 16.04, it prints "Security framework of XStream not initialized, XStream is probably vulnerable." in console and crashes.

18 comments
Comment actions Permalink

i get the same error with pycharm version 2018.2.2 and ubuntu 18.04. It wont even launch. I actually was getting two errors when trying to run from terminal:

Gtk-Message: 11:21:11.365: Failed to load module "canberra-gtk-module"
Security framework of XStream not initialized, XStream is probably vulnerable.

was googling and found something on the first error that fixed it:

sudo apt install libcanberra-gtk-module

It now runs only from the terminal, but still get the same error as above. I'm about to cancel my pycharm license...

1
Comment actions Permalink

Same for me with version 2018.2.3 of PyCharm..

0
Comment actions Permalink

Hi,

Thank you for contacting PyCharm support.

Sorry for a super-late reply.

Could you please attach a screenshot that shows the issue and upload your logs folder zipped (https://intellij-support.jetbrains.com/hc/en-us/articles/207241085-Locating-IDE-log-files) using the link https://uploads.services.jetbrains.com/ and provide the name of the zip file?

Looking forward to your reply.

Kind regards,

Sergey

https://www.jetbrains.com

The Drive to Develop

0
Comment actions Permalink

I am having the same issue on PyCharm 2018.2.4 and Linux Mint Cinnamon 18 / Cinnamon 3.0.7 / Kernel 4.4.0-134-generic.

My logs have been uploaded as logs-20181012-053101.zip. Attached is a screenshot.

0
Comment actions Permalink

Thanks!

Please try to start it without custom plugins.

Do you have any java_error_in_PYCHARM files in your user home directory?

Kind regards,

Sergey

0
Comment actions Permalink

No java_error_in_PYCHARM files on my machine:

All plugins, both custom and other, disabled:

 

No change:

1
Comment actions Permalink

Please try to start it with default settings by renaming settings folder (https://intellij-support.jetbrains.com/hc/en-us/articles/206544519). Does it help?

Kind regards,

Sergey

0
Comment actions Permalink

No effect.

1. Renamed ~/.PyCharm2018.2 to ~/temp.PyCharm2018.2

2. launched with ./pycharm.sh (in ~/<path_to_pycharm>/bin)

3. Confirmed the settings are changed - appearance is completely reset to defaults

Terminal warning "Security framework of XStream not initialized, XStream is probably vulnerable" persists.

0
Comment actions Permalink

Thanks for the update.

I have filed an issue to our issue tracker so our developers can investigate https://youtrack.jetbrains.com/issue/PY-32245, please follow it for future updates and direct communication with developer. See https://intellij-support.jetbrains.com/hc/en-us/articles/207241135-How-to-follow-YouTrack-issues-and-receive-notifications if you are not familiar with YouTrack.

Kind regards,

Sergey

0
Comment actions Permalink

Is it reproducible for you only for Django projects in PyCharm or for any other types of projects / other IDEs like WebStorm?

0
Comment actions Permalink

Great question! I did some testing. Here is what I found:


- Does not happen in WebStorm

- Does not happen in a new Pure Python project in PyCharm

- Interesting result re: Django projects. Here is what I did:

1. Opened PyCharm from terminal (./pycharm.sh), after setting my default project to a brand new Pure Python project. No XStream message.

2. With PyCharm and my new Pure Python project still open, I used File -> Recent Projects, selected my primary Django project, and chose to "Open in new window". Now, the XStream message was printed.

 

So indeed it does look specific to Django.

1
Comment actions Permalink

We've determined the source of the problem for Django projects and we'll fix it in the upcoming minor updates for PyCharm. If you discover other cases, please create new issues at https://youtrack.jetbrains.com/issues/PY.

 

1
Comment actions Permalink

I'm also facing the same issue in pycharm 2018.2.2 while opening django apps. Any update regarding this issue?

0
Comment actions Permalink

The fix will be available soon in PyCharm 2018.2.5 and 2018.3.

0
Comment actions Permalink

This issue is not getting any prettier. Should I be concerned?

PyCharm 2018.3.3 (Professional Edition)
Build #PY-183.5153.39, built on January 9, 2019
JRE: 1.8.0_152-release-1343-b26 amd64
JVM: OpenJDK 64-Bit Server VM by JetBrains s.r.o
Linux 4.15.0-44-generic

javassist.NotFoundException: com.intellij.ui.components.ScrollBarPainter$Thumb
at javassist.ClassPool.get(ClassPool.java:452)
at com.chrisrm.idea.MTHackComponent.hackScrollbars(MTHackComponent.java:99)
at com.chrisrm.idea.MTHackComponent.<clinit>(MTHackComponent.java:53)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:348)
at com.intellij.openapi.components.impl.ComponentManagerImpl.registerComponents(ComponentManagerImpl.java:371)
at com.intellij.openapi.components.impl.ComponentManagerImpl.init(ComponentManagerImpl.java:81)
at com.intellij.openapi.application.impl.ApplicationImpl.load(ApplicationImpl.java:405)
at com.intellij.openapi.application.impl.ApplicationImpl.load(ApplicationImpl.java:391)
at com.intellij.idea.IdeaApplication.run(IdeaApplication.java:208)
at com.intellij.idea.IdeaApplication.lambda$initApplication$0(IdeaApplication.java:74)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:762)
at java.awt.EventQueue.access$500(EventQueue.java:98)
at java.awt.EventQueue$3.run(EventQueue.java:715)
at java.awt.EventQueue$3.run(EventQueue.java:709)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:732)
at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:342)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
Security framework of XStream not initialized, XStream is probably vulnerable.
Security framework of XStream not initialized, XStream is probably vulnerable.

 

 

0
Comment actions Permalink

Hi Kambiz,

How do you open PyCharm? Can you please try the following:

1. If you're opening a project directory passing it as an argument, try just running PyCharm without it

2. Temporarily rename PyCharm's settings directory and restart PyCharm. The settings directory can be located according to: https://intellij-support.jetbrains.com/hc/en-us/articles/206544519

0
Comment actions Permalink

Thanks Andrey. I was able to narrow it down to Material UI plugin.

0
Comment actions Permalink

Do you have PyCharm on any other device that has your preferred settings? In this case you can export the settings using **File > export settings** and import them here. 

Or if you're using sync, just configure this "fresh" PyCharm to the same repository/account and choose "overwrite local". Careful here, don't overwrite the remote settings.

0

Please sign in to leave a comment.